<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('jenis_jaminan', function (Blueprint $table) {
            $table->string('slug')->after('name');
            $table->string('jenis_legalitas_jaminan_id')->nullable()->after('slug');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('jenis_jaminan', function (Blueprint $table) {
            $table->dropColumn('slug');
            $table->dropColumn('jenis_legalitas_jaminan_id');
        });
    }
};
